%define upstream_name    Config-Properties
%define upstream_version 1.80

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Configuration using Java style properties
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap) >= 2001.92.900
BuildArch:  noarch

%description

Config::Properties is a near implementation of the java.util.Properties
API. It is designed to allow easy reading, writing and manipulation of
Java-style property files.

The format of a Java-style property file is that of a key-value pair
separated by either whitespace, the colon (:) character, or the equals (=)
character. Whitespace before the key and on either side of the separator is
ignored.

Lines that begin with either a hash (#) or a bang (!) are considered
comment lines and ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.800.0-6.mga9
+ Revision: 1802532
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.800.0-5.mga8
+ Revision: 1493578
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.800.0-4.mga7
+ Revision: 1266593
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.800.0-3.mga6
+ Revision: 1024311
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.800.0-2.mga6
+ Revision: 967857
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.800.0-1.mga6
+ Revision: 850364
- update to 1.80

* Wed Oct 15 2014 umeabot <umeabot> 1.770.0-3.mga5
+ Revision: 744585
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.770.0-2.mga5
+ Revision: 683997
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.770.0-1.mga5
+ Revision: 620487
- update to 1.77

* Mon Feb 17 2014 jquelin <jquelin> 1.760.0-1.mga5
+ Revision: 593422
- update to 1.76

* Fri Oct 18 2013 umeabot <umeabot> 1.750.0-3.mga4
+ Revision: 510325
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.750.0-2.mga3
+ Revision: 364703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.750.0-1.mga3
+ Revision: 285216
- update to 1.75

* Tue Oct 11 2011 takashi <takashi> 1.730.0-1.mga2
+ Revision: 153826
- update to 1.73
- update to 1.73
+ jquelin <jquelin>
- update to 1.72

* Sat Jan 22 2011 jquelin <jquelin> 1.710.0-1.mga1
+ Revision: 31806
- mageia rebuild
- imported package perl-Config-Properties

